Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.modloader
Class BaseModTicker

    java.lang.Object
      cpw.mods.fml.common.modloader.BaseModTicker

All Implemented Interfaces:
  ITickHandler

    public class BaseModTicker

extends Object
implements ITickHandler

Author:
  cpw

Method Summary
`String` | `getLabel()` A profiling label for this tick handler
`void` | `setMod(BaseModProxy mod)`
`void` | `tickEnd(EnumSet<TickType> types, Object... tickData)` Called at the "end" phase of a tick Multiple ticks may fire simultaneously- you will only be called once with all the firing ticks
`EnumSet<TickType>` | `ticks()` Returns the list of ticks this tick handler is interested in receiving at the minute
`void` | `tickStart(EnumSet<TickType> types, Object... tickData)` Called at the "start" phase of a tick Multiple ticks may fire simultaneously- you will only be called once with all the firing ticks

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### tickStart

    public void tickStart(EnumSet<TickType> types,
                          Object... tickData)

  Description copied from interface: `ITickHandler`
  Called at the "start" phase of a tick Multiple ticks may fire simultaneously- you will only be called once with all the firing ticks

  Specified by:
    `tickStart` in interface `ITickHandler`

### tickEnd

    public void tickEnd(EnumSet<TickType> types,
                        Object... tickData)

  Description copied from interface: `ITickHandler`
  Called at the "end" phase of a tick Multiple ticks may fire simultaneously- you will only be called once with all the firing ticks

  Specified by:
    `tickEnd` in interface `ITickHandler`

### ticks

    public EnumSet<TickType> ticks()

  Description copied from interface: `ITickHandler`
  Returns the list of ticks this tick handler is interested in receiving at the minute

  Specified by:
    `ticks` in interface `ITickHandler`

### getLabel

    public String getLabel()

  Description copied from interface: `ITickHandler`
  A profiling label for this tick handler

  Specified by:
    `getLabel` in interface `ITickHandler`

### setMod

    public void setMod(BaseModProxy mod)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD